// Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
//
// SPDX-License-Identifier: MPL-2.0

import * as React from 'react';

const IconHdrAssistentDefault: React.FunctionComponent<React.SVGProps<SVGSVGElement>> = () => (
  <svg width="32" height="32" viewBox="0 0 32 32" fill="none" xmlns="http://www.w3.org/2000/svg">
    <path
      d="M29 0.5H3C1.61929 0.5 0.5 1.61929 0.5 3V29C0.5 30.3807 1.61929 31.5 3 31.5H29C30.3807 31.5 31.5 30.3807 31.5 29V3C31.5 1.61929 30.3807 0.5 29 0.5Z"
      stroke="black"
    />
    <path
      d="M14.088 25.7791H8.5C8.30109 25.7791 8.11032 25.7001 7.96967 25.5594C7.82901 25.4188 7.75 25.228 7.75 25.0291V6.8501C7.75 6.65119 7.82901 6.46042 7.96967 6.31976C8.11032 6.17911 8.30109 6.1001 8.5 6.1001H23.406C23.6049 6.1001 23.7957 6.17911 23.9363 6.31976C24.077 6.46042 24.156 6.65119 24.156 6.8501V14.3211C24.156 14.52 24.077 14.7108 23.9363 14.8514C23.7957 14.9921 23.6049 15.0711 23.406 15.0711C23.2071 15.0711 23.0163 14.9921 22.8757 14.8514C22.735 14.7108 22.656 14.52 22.656 14.3211V7.6001H9.25V24.2791H14.088C14.2869 24.2791 14.4777 24.3581 14.6183 24.4987C14.759 24.6394 14.838 24.8302 14.838 25.0291C14.838 25.228 14.759 25.4188 14.6183 25.5594C14.4777 25.7001 14.2869 25.7791 14.088 25.7791Z"
      fill="black"
    />
    <path
      d="M19.1109 11.696H12.7979C12.5989 11.696 12.4082 11.617 12.2675 11.4764C12.1269 11.3357 12.0479 11.145 12.0479 10.946C12.0479 10.7471 12.1269 10.5564 12.2675 10.4157C12.4082 10.2751 12.5989 10.196 12.7979 10.196H19.1109C19.3098 10.196 19.5006 10.2751 19.6412 10.4157C19.7819 10.5564 19.8609 10.7471 19.8609 10.946C19.8609 11.145 19.7819 11.3357 19.6412 11.4764C19.5006 11.617 19.3098 11.696 19.1109 11.696Z"
      fill="black"
    />
    <path
      d="M15.6988 15.071H12.7988C12.5999 15.071 12.4091 14.992 12.2685 14.8514C12.1278 14.7107 12.0488 14.52 12.0488 14.321C12.0488 14.1221 12.1278 13.9314 12.2685 13.7907C12.4091 13.6501 12.5999 13.571 12.7988 13.571H15.6988C15.8977 13.571 16.0885 13.6501 16.2292 13.7907C16.3698 13.9314 16.4488 14.1221 16.4488 14.321C16.4488 14.52 16.3698 14.7107 16.2292 14.8514C16.0885 14.992 15.8977 15.071 15.6988 15.071Z"
      fill="black"
    />
    <path
      d="M26.589 20.721L20.917 25.552C20.7353 25.7019 20.5061 25.7823 20.2705 25.7788C20.0349 25.7754 19.8083 25.6882 19.631 25.533L17.74 23.812C17.651 23.7331 17.5792 23.6366 17.5292 23.5287C17.4792 23.4207 17.4521 23.3036 17.4494 23.1846C17.4468 23.0657 17.4688 22.9475 17.514 22.8374C17.5591 22.7273 17.6266 22.6278 17.712 22.545C17.8885 22.37 18.1255 22.2696 18.3739 22.2644C18.6224 22.2592 18.8633 22.3496 19.047 22.517L20.302 23.661L25.323 19.388C25.5123 19.2284 25.7552 19.1464 26.0025 19.1587C26.2499 19.1709 26.4834 19.2765 26.656 19.454C26.739 19.5395 26.8034 19.6412 26.8452 19.7527C26.887 19.8642 26.9054 19.9832 26.8991 20.1021C26.8928 20.2211 26.862 20.3375 26.8087 20.444C26.7553 20.5504 26.6805 20.6448 26.589 20.721Z"
      fill="black"
    />
  </svg>
);

export default IconHdrAssistentDefault;
